Documentation is out of date, incomplete (tracking)
OpenPublic

Assigned To
None
Priority
Normal
Author
brion
Blocks
T87588: Add a wiki on wikitech is out of date, incomplete
T4007: Tracking bug (tracking)
Blocked By
T95060: Documentation for OOjs UI widgets needs to list what methods are available for each widget
T92585: MediaWiki logging/debugging documentation is out of date
T78512: Document BetaFeature's initialization requirement parameters
T67952: Update manual for Huggle to contain stuff for HG 3
T1355: Document installation steps for PSR-3 logging
T75603: update documentation of high-level data model
T71975: Document CI doc publishing process
T71499: Installation documentation should explain memcached
T71449: MediaWiki UI: VForm only partially documented
T73250: Documentation: JS Documentation out of date since OOJS move
T69938: Block::newFromTarget gets autoblocks when its documentation says it doesn't
T71372: Add README to skins folder
T71287: Document use of hiera settings to control expected hostnames
T74732: Quality Assurance/Browser testing/Setup instructions is out of date
T69490: style guide Typography page wrong and out-of-date
T64452: VisualEditor: Hide action=visualeditor from the api.php documentation output, given it's internal and not intended for third party use
T62793: Jenkins-mwext-sync needs documentation
T64446: Improve and better document process for uploading large files
T67794: Document/differentiate between use cases of formatTimePeriod() and formatDuration()
T64426: Undocumented inter-dependencies of default options (namely wgDefaultUserOptions['rcdays'] and wgRCMaxAge) with hard fail
T62719: On-request job queue handling needs RELEASE NOTES mention
T72633: Update documentation to incorporate mm-ch
T60922: Misleading documentation about markup examples for splitting long lists
T62587: State benefit(s) of chunked uploading in preference
T62567: Document $wgMFAnonymousEditing better
T62557: Update docs to deprecate $wgDefaultUserOptions['highlightbroken']
T70748: Upstream menu to mediawiki ui and document so it appears in the styleguide
T70745: Implement (in core) and document MediaWiki UI tooltip library
T70741: Document reply fields
T64179: Echo API links to missing Echo API help page
T74275: no log in deployment-bastion:/data/project/logs from "503 server unavailable" on beta labs
T69183: Obsolete references to MessagesEn.php in several files under includes/*
T62464: $wgCacheDirectory dependency should be documented
T62462: $wgUpgradeKey is not commented out by default
T69167: Clear documentation should be provided about the *my* permissions
T60782: action=globalblock needs on-wiki documentation
T70632: Document how much memory Echo needs
T74163: Document new library requirements for logging interface, cdb, xhprof etc.
T65674: Document which modules do not need to be added to the dependencies of other modules
T68934: Help documentation should mention the cache time
T63886: Document in style guide how to use mw-ui-button on wiki using mw-ui-button span inside an anchor
T62195: Warning message is unclear when using a callback parameter while trying to get a token
T62192: Documentation and API are inconsistent (action=parse, contentmodel)
T60498: API action=review: wrong example on most wikis because it uses not existing parameter flag_accuracy
T58980: update browser test docs on mw.o
T63837: "Search and replace" dialog needs a help link for the "regular expression" handling
T72162: ZeroBanner doc still reference X-CS header when it is now X-CS2
T58864: FlaggedRevs: {{PENDINGCHANGELEVEL}} magic word is undocumented
T58860: Improve documentation of API's "dir" parameter
T60361: Flow: API needs documentation
T73892: Make commands in MobileFrontend need documentation
T65392: Add documentation of badgeItems setting
T73856: Update usage instructions for mw-ui-destructive
T61956: Document which designers are interested in a particular part of the user interface
T67035: action=mobileview live & doc mismatch
T65351: Document "Typography refresh/update" CSS changes for Vector
T66996: Doxygen documentation of Wikibase code
T68603: Update extension documentation with info about schema changes
T58621: Properly document the web API interface
T53503: ResoureLoader: Add self-explanatory comment to load.php about ResourceLoader
T63500: VisualEditor: Document what is needed in terms of support for custom MediaWiki skins
T61713: Document PPFrame constants
T66840: [Tracking] Pywikibot Documentation
T63412: Misleading starttimestamp documentation in Edit API
T66813: Legend/help for colors needs to be added to user contribution page
T56890: Document 'update-guest-additions' and the issues it can often resolve
T68406: Documentation of API rollback action mentions delete instead of rollback
T63322: Enhance tutorial to trigger a job manually
T65033: Clarify how 'default' option should be used for preferences
T58368: Provide documentation for the user in the UI about the date formats accepted on date fields of AbuseFilter special pages
T59841: Update QA/testing documentation
T64946: Boolean preferences with default value of true cannot be changed if they do not have a key in $wgDefaultUserOptions
T59801: Improving the skinning experience for developers (improve documentation etc.)
T56702: add Central Logging Service documentation
T56701: add basic expectations management to docs
T58204: action=tokens API is basically not documented anywhere
T58192: Document how the entire browser test tool chain is set up
T58186: Document design and implementation of GWToolset
T56601: update "How to run browser tests" wiki page
T64810: Create TODO list for best MediaWiki API client library in Ruby
T64807: Create TODO list for best MediaWiki API client library in JavaScript
T64809: Create TODO list for best MediaWiki API client library in Python
T64808: Create TODO list for best MediaWiki API client library in Perl
T64806: Create TODO list for best MediaWiki API client library in Java
T52917: WikiEditor documentation is inadequate for user development
T57997: Need documentation for ip_in_range()
T52858: Document mw.uls.init
T54637: Update wikitech page on how to create a wiki
T57956: MobileFrontend geodata features (like Special:Nearby) have no documentation
T57946: Wikimedia Labs system admin (sysadmin) documentation sucks
T56364: Write proper documentation and tests for bug 50836
T57928: CORS docs for MediaWiki Web API?
T47965: list=tags output can depending on language
T57862: Flow: API missing examples and help URLs
T60994: Documentation of JobQueue::deduplicateRootJob is out of date
T46212: Suggest to users to install from git
T46211: Y U NO USE APC?
T47910: JJB: document "current build parameters" to trigger-build builder
T52674: Create an example JSON structure to be used in the navigation bar
T59317: Update MediaWiki's Bug life cycle diagram
T49541: Update the description of Extension:Score to include ABC notation.
T46127: Document JavaScript code in javascripts/common
T49486: memcached.txt needs updating
T54401: Message documentation missing for multiple strings
T57744: prop=videoinfo API viprop=derivatives parameter not documented in help
T57723: code documentation around wgUseFileCache
T44293: document Jenkins Job Builder
T57692: Document options for ext.translate.editor
T52552: README is unfocused & unwelcoming
T47745: MWScript usage documentation weird
T52514: Complete and document VisualEditor's integration and plugin system
T47601: [TUX] Update Translate extension documentation (regarding Proofread)
T45905: Document ResourceLoaderModule 'loaderScripts' property
T54150: Document gerritadmin@wikimedia.org
T44001: WikimediaMaintenance doesn't seem to have an extension page in mediawiki.org
T45804: Docs about files needed by generateCollationData.php should be updated
T52319: Document how to add fonts
T50724: Improve API documentation for Wikibase
T49113: Use JSDuck syntax for inline examples in code documentation
T43956: Document how to implement tokens in (extension) api modules
T54068: Document grrrit-wm
T54026: Document PHP fatal and exception logging on the cluster (Ganglia graph, fatalmonitor script?)
T54006: Comment for $wgTranscludeCacheExpiry in DefaultSettings.php refers to other non-existing option
T55765: Syntaxhighlight: svn download of Geshi fails
T55716: document CI workflow using sequence diagram
T45591: Link translatable help pages on mediawiki.org from the relevant special pages, actions etc.
T52107: Variable added_lines is now an array instead of a string
T40662: Document how fallback language and message loading order in general works
T48878: Clarify API class hierarchy
T50492: Clean up intro to InitialiseSettings.php
T50452: MediaWiki Language Extension Bundle needs better documentation (README containing links to help pages?)
T51989: Write documentation for UploadWizard in JSDuck format
T41979: Documentation is awful
T50337: Allow extensions to automatically generate jsduck documentation on doc.wikimedia.org
T50244: Upload GuidedTour jsduck documentation to Labs
T51843: Update securepoll documentation on wikitech
T53651: Auto-generated gadget documentation with JsDuck
T50216: Document how to debug Selenium tests
T53629: Document the stashed upload system better
T50192: right-zero-edit should be defined
T46913: Document deployment step by step on mediawiki.org
T46904: update Gerrit/Git-related documentation after 2.6 upgrade
T48563: ResourceLoader: Modules should have a built-in list with details on all available modules
T43378: Missing extension page
T48526: System documentation integrated in source code
T38757: Minimum version of MySQL
T36965: Clean up grammar in API autodocs
T36962: Some parameters' descriptions are unclear (titles, pageids, revids)
T46719: migrateCurStubs.php is mentioned in DefaultSettings but doesn't exist
T38609: Undocumented messages and parameters make translating harder
T34970: MW 1.18; How to determine the search profile / setting of a default search profile
T34919: Deployment documentation is out of date, incomplete
T39977: Need better documentation for how to checkout all extensions (for developers)
T34892: Special:Version should include version numbers of JS resources like jQuery
T39943: document deployment on beta
T46584: API data push/pull guidelines
T38437: A strict and correct Git workflow document is needed
T44893: Create "how to rewrite a log to use the new system" tutorial/manual
T44892: Create "how to add plural support" tutorial/manual
T39896: Message documentation needs updating
T44862: Create complete and up to date documentation on how to use job queue
T41349: Complete uploadcampaign api documentation
T39805: Create example extension for ResourceLoader
T39803: Write a step-by-step tutorial on how to use ResourceLoader in a (new) extension
T42937: Make sure all possible errors of action=upload are logged in getPossibleErrors
T44723: Update HISTORY with point release changes
T33005: Functions / Properties should go into our doxygen docs + undoc'ed added
T44687: action=options needs documentation
T46374: RL debug mode CSS docs incorrect
T41125: Document the Scribunto debug console messages
T42762: docs/hooks.txt is out of date
T31265: Mediawiki API documentation incomplete
T44518: Describe integration/* git repositories
T31143: Alias files seem undocumented MediaWiki.org
T40874: Minor bot edits don't trigger email notifications even with "E-mail me also for minor edits of pages" selected
T40855: API design and documentation
T29306: Need a dedicated storage interface for extensions
T29215: Documentation not clear about the alias mw
T39151: Update extensions/README
T35827: the developer webpage URL is not very useful
T30660: SpecialSearchProfiles hooks is not documented well enough
T27408: Write style guide for function inline commenting
T30584: [EmailCapture] On-wiki documentation missing
T30542: Add @since information to more functions
T37467: Write docu/how-to for Windows with a GUI client
T32183: Document proper RTL support best practices on mediawiki.org
T28905: OpenStackManager extension needs code documentation
T35637: Update on-wiki documentation of database layout for 1.19
T37403: Documentation for Gerrit on labs is almost as ugly as Gerrit itself
T33750: No info about a self-redirected page is shown when it's queried with &redirects
T28746: Document all caches and how to clear them
T35524: Jenkins: Publish error output of Doxyxgen
T23511: Document all parameters that can be used in LocalSettings.php
T28674: Document LQT code
T37234: Auto-generated API documentation should mention equivalent UI page
T31936: Api documentation on mw.org is out of date, incomplete
T35346: Update ResourceLoader documentation for Flipping functionality and 1.18's new position properties
T31768: Manual:Hooks/LoadExtensionSchemaUpdates is out of date
T23208: Upload API documentation
T33346: Help for Narayam
T28206: Add Documentation Page: Why isn't rXXXXX live on Wikipedia after it has been commited to SVN?
T19961: add comment to generateSitemap.php saying what is encoded
T27998: Write guidelines for extension organisation
T29650: Update Install/Upgrade documents on mw.org: Manual:Upgrading and Manual:Installing_MediaWiki
T21175: Confusion around deleted messages in MediaWiki namespace
T21044: Document LanguageConverter
T14410: Documentation about character coding and conversion in MediaWiki
T10813: Documentation of $wgGroupPermissions is poor
T10629: $wgFilterCallback virtually totally undocumented
T17475: The Database module needs documentation updates
T5306: Add a description of "$wgLocalTZoffset = ..." to DefaultSettings.php
T5175: documentation files refers to .doc instead of .txt files
T8353: Full extension info (esp. URL) in all extensions
T4377: README, INSTALL, RELEASE-NOTES : AMP prerequisite information is inconsistent
T2373: PhpTal use of other skin stylesheet
T13102: Update Documentation in hooks.txt
T2007: Explain the wiki syntax in detailed EBNF
Subscribers
Dzahn, Liuxinyu970226, Quiddity and 14 others
Projects
Tokens
"Pterodactyl" token, awarded by demon.
Reference
bz1
Security
None
Description

Our docs are teh suck. Fix them up.

This tracking bug has been superseded by the Documentation project tag.
Please use the Documentation tag on tasks instead of making tasks block T2001.

(Previous discussion: T85485)


Version: unspecified
Severity: normal
URL: http://www.mediawiki.org/wiki/Documentation

bzimport added a comment.Via ConduitSep 30 2004, 10:59 PM

Astronouth7303 wrote:

Patch for \maintenance\convertUtf8.php relating to documentation (see comment #6)

attachment convertUtf8.php.patch ignored as obsolete

bzimport added a comment.Via ConduitSep 30 2004, 11:02 PM

Astronouth7303 wrote:

Patch for /includes/SpecialData.php

attachment SpecialData.php.patch ignored as obsolete

bzimport added a comment.Via ConduitSep 30 2004, 11:03 PM

Astronouth7303 wrote:

Patch for /includes/ZhConversion.php

attachment ZhConversion.php.patch ignored as obsolete

bzimport added a comment.Via ConduitOct 18 2004, 1:45 AM

acmoore wrote:

diff to docs/skin.doc to describe how to start creating or modifying a skin

I considered adding this type of information to
http://meta.wikimedia.org/wiki/Skins but that doesn't really look related.
Where should documentation about creating and modifying skins go?

attachment modifyskindocs.diff ignored as obsolete

bzimport added a comment.Via ConduitMay 1 2005, 8:28 AM

jeluf wrote:

Comment on attachment 56
A patch for version.php relating to documentation (see comment #6)

Version.php does no longer exist, marked as obsolete

bzimport added a comment.Via ConduitMay 1 2005, 8:30 AM

jeluf wrote:

Comment on attachment 57
Patch for \maintenance\convertUtf8.php relating to documentation (see comment #6)

Comment is already in the file

bzimport added a comment.Via ConduitMay 1 2005, 8:31 AM

jeluf wrote:

Comment on attachment 58
Patch for /includes/SpecialData.php

SpecialData does no longer exist

bzimport added a comment.Via ConduitMay 1 2005, 8:33 AM

jeluf wrote:

Comment on attachment 59
Patch for /includes/ZhConversion.php

ZhConversion.php has been documented already.

bzimport added a comment.Via ConduitMay 8 2005, 6:37 PM

avarab wrote:

I added an url to the automatically generated todo list at
http://wikipedia.sourceforge.net/doc/todolist.html which mostly contains
documentation todos, let's get to it!

bzimport added a comment.Via ConduitSep 3 2005, 10:30 PM

avarab wrote:

Lowering priority

HappyDog added a comment.Via ConduitApr 26 2006, 12:29 PM

At www.mediawiki.org we are in the process of creating a comprehensive set of
docs for MediaWiki. This includes a set of public-domain help files, ultimately
for automatic inclusion in the Help: namespace of new wikis, and a detailed set
of technical documentation released under GFDL.

We would appreciate any help that people can offer, particularly from people who
know the codebase.

bzimport added a comment.Via ConduitNov 21 2006, 4:02 PM

robchur wrote:

(re Assignment to Brion)

Is our lead developer now charged with the task of writing documentation AS WELL
as keeping the servers alive, keeping his technical staff in check, keeping his
volunteers from fucking up the codebase and more? That just doesn't seem fair...

The problem of documentation can be split into two; the code documentation
(which isn't too poor, considering) and the public-facing documentation (which
sucks like there's no tomorrow). Code documentation can be handled on an ongoing
basis by the development team. The public-facing documentation would be best off
taken up by a group, such as the one now operating on MediaWiki.org.

HappyDog added a comment.Via ConduitNov 21 2006, 4:44 PM

The public-facing documentation is slowly improving at MW.org, as is our more
detailed technical info (e.g. configuration settings, hooks, etc.)

There aren't many active contributors at the moment - the current pattern, in my
experience, seems to be

  • a new user appears, sees a hole and does a major bunch of useful updates and

fades into the background

  • months pass with users making few tweaks here, a few additional items there

but nothing substansive

  • repeat with another user

Eventually we will get a decent set of docs this way, but it will take years...
:( There are not many contributors who stay and continue to contribute with
regularity. I am one of the ones who have stayed and even I contribute much
less than would be ideal, and a fair amount of that is vandalism patrol (and
most of the rest is technical documentation or site structuring). Perhaps this
will change when we start moving content over from meta and there are more
people visiting the site as their first port-of-call. Or perhaps a more
concerted effort will be required.

That said, I am optimistic - the site is expanding and improving and becoming
more structured and the user base is definitely growing.

On another note, I am not at all clear what it would take for this bug to be
marked 'FIXED'. Really, it's an on-going project and there will always be work
to be done, as new versions are released and new features implemented.

I would suggest placing some concrete goals or closing the bug. Perhaps a good
target would be to make [[mw:Help:Contents]] into a complete list of areas we
want covered, and state that "this bug will be fixed when all direct links from
that page contain a minimum of 3 paragraphs".

bzimport added a comment.Via ConduitDec 18 2006, 4:26 PM

comperr wrote:

It is an ongoing project as you said....no need to leave it open.
Let us just fix it.

HappyDog added a comment.Via ConduitDec 18 2006, 4:41 PM

OK - fixed, verified and reopened in under 3 minutes. Does anyone want to
comment? Rob - what's your view?

bzimport added a comment.Via ConduitDec 18 2006, 4:46 PM

robchur wrote:

My view is simple. I agree with comment 0. I disagree with closing this bug
until it is solved. Ultimately, it's going to be an ongoing thing, but having
the bug open, at the top of the list, alerts newcomers to the situation and
might encourage them to help us out.

HappyDog added a comment.Via ConduitDec 18 2006, 5:33 PM

Does that mean that you think this bug should never be closed, i.e. MW will
always have new or changed features, so the docs are never up to date?

Or, if not, what would it take to close it - are we just talking about end-user
documentation here? Would it be enough to fill in the holes at
[[mw:Help:Contents]]? Or do we need to get to the stage where there is a simple
mechanism for importing this documentation into a new wiki? Or that it is
included in a default MW install? Or have it in X (all?) languages?

Also, does this bug include technical docs as well as end-user docs?

bzimport added a comment.Via ConduitDec 22 2006, 4:31 AM

robchur wrote:

*** Bug 3189 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitAug 31 2007, 3:28 AM

ayg wrote:

Comment on attachment 106
diff to docs/skin.doc to describe how to start creating or modifying a skin

Patch is obsolete, there is no includes/SkinPHPTal.php.

bzimport added a comment.Via ConduitFeb 15 2008, 3:54 PM

digira wrote:

Neet

bzimport added a comment.Via ConduitJun 12 2008, 7:39 AM

charitwo wrote:

I think Mark Clements is right, as MediaWiki changes, docs will need updating with new and existing feature modifications. There is no need to keep a bug open purely for prospect.

tstarling added a comment.Via ConduitAug 14 2008, 9:40 AM

The bug is not meant to be closed. The goal is unattainable, which is why, by simple logical progression, it must stay open. Like the Christian concept of freedom from sin, we can only strive to fix bug 1, we can never actually fix it.

brion added a comment.Via ConduitOct 22 2008, 5:14 PM

http://en.wikipedia.org/wiki/Zeno%27s_paradoxes#Achilles_and_the_tortoise

(bumping this bug to test bugmail configuration)

demon added a comment.Via ConduitJul 29 2009, 11:05 PM
  • Bug 20000 has been marked as a duplicate of this bug. ***
Domas added a comment.Via ConduitAug 31 2009, 11:54 PM

oh noes

bzimport added a comment.Via ConduitFeb 10 2011, 5:28 PM

charitwo wrote:

annoying bug to be CC'd on

HappyDog added a comment.Via ConduitFeb 10 2011, 11:18 PM

Really, this should be a tracking bug. Can someone change the summary to "Tracking bug for documentation issues", please?

Peachey88 added a comment.Via ConduitFeb 10 2011, 11:24 PM

(In reply to comment #33)

Really, this should be a tracking bug. Can someone change the summary to
"Tracking bug for documentation issues", please?

It is a tracking bug, it doens't need to the word "tracking" to make it so.

HappyDog added a comment.Via ConduitFeb 10 2011, 11:46 PM

bug 22710, bug 19719, bug 2114, bug 14720, bug 12788, ... (161 results found)

bzimport added a comment.Via ConduitFeb 11 2011, 9:39 AM

psychonaut wrote:

It is a tracking bug, it doens't need to the word "tracking" to make it
so.

Correct, though it is a rather helpful convention.

Peachey88 added a comment.Via ConduitApr 30 2011, 12:09 AM

*Bulk BZ Change: +Patch to open bugs with patches attached that are missing the keyword*

demon added a comment.Via ConduitNov 29 2011, 7:42 PM
  • Bug 7947 has been marked as a duplicate of this bug. ***
Kozuch added a comment.Via ConduitDec 30 2011, 3:50 PM

Because of votes rasing importance/priority according to following scheme:
15+ votes - highest
5-15 votes - high
Community must have a voice within development.

Regards, Kozuch
http://en.wikipedia.org/wiki/User:Kozuch

He7d3r added a comment.Via ConduitMay 27 2012, 8:06 PM

Tracking bugs usually are blockers for bug 2007.

HappyDog added a comment.Via ConduitMay 28 2012, 10:24 AM

It already implicitly blocks bug 2007 by blocking bug 700, so no need to block it directly as well.

555 added a comment.Via ConduitDec 21 2012, 11:25 PM

Changed importance to "normal" level. Documentation never should be placed at a low priority unless the developing team or guy wants to be pocked every day with questions "how to do it", "how I can change it" etc.

Changing status to NEW, since the documentation issue will be a new one issue on every possible commit =)

Qgil added a comment.Via ConduitOct 21 2013, 5:05 PM

A one-time comment to this tracking report: we are looking for documentation tasks that we could offer to Google Code-in participants.

Having spoken with the coordinators of the program and participant organizations it is clear that this program is good to complete dozens of little tasks that otherwise are sitting in backlogs forever. Many times bigger goals can be sliced in smaller tasks.

Your help selecting tasks is welcome. See https://www.mediawiki.org/wiki/Google_Code-In#Documentation.2FTraining

Krinkle removed a subscriber: wikibugs-l.Via WebDec 10 2014, 2:17 PM
Krinkle added a project: Technical-Debt.
Krinkle set Security to None.
demon awarded a token.Via WebDec 11 2014, 10:17 PM
Aklapper closed blocking task T46212: Suggest to users to install from git as "Declined".Via WebDec 31 2014, 3:48 PM
Mpaa closed blocking task T66840: [Tracking] Pywikibot Documentation as "Resolved".Via WebJan 2 2015, 3:45 PM
Aklapper mentioned this in Documentation.Via WebJan 4 2015, 11:32 PM
Aklapper added a project: Documentation.
Aklapper closed this task as "Declined".Via WebJan 7 2015, 3:55 PM
Aklapper edited the task description. (Show Details)
Liuxinyu970226 removed a subscriber: Liuxinyu970226.Via WebJan 8 2015, 12:25 AM
MarkAHershberger removed a subscriber: MarkAHershberger.Via WebJan 8 2015, 12:29 AM
Qgil changed the status of blocking task T69167: Clear documentation should be provided about the *my* permissions from "Open" to "Stalled".Via WebJan 12 2015, 8:46 AM
Spage closed blocking task T59841: Update QA/testing documentation as "Resolved".Via WebJan 28 2015, 10:51 PM
yuvipanda reopened this task as "Open".Via WebFeb 14 2015, 4:31 AM
yuvipanda added a subscriber: yuvipanda.

Probably should be kept open until our documentation is perfect, up to date and complete. In a few hundred languages.

(I like having this bug be open, as a cultural admission of our documentation sucking)

Aklapper closed this task as "Declined".Via WebFeb 14 2015, 2:03 PM
Aklapper claimed this task.
Aklapper added a subscriber: Aklapper.

@yuvipanda: Did you also volunteer to keep the two places which track the very same thing (both the 'documentation' tag and this tracking task) in sync? If not, who will spend the time to do that?
I don't think "I like to keep this open due to cultural reasons" is a convincing reason for intentional untidyness in an issue tracker. If you like to be reminded that our documentation is bad, feel free to save this search query for open documentation tickets and put it in your list queries.

yuvipanda reopened this task as "Open".Via WebFeb 14 2015, 2:45 PM

Sure, I can write a bot that can keep them in sync.

Qgil placed this task up for grabs.Via WebFeb 14 2015, 3:01 PM
Qgil added a subscriber: Qgil.
Quiddity added a subscriber: Quiddity.EditedVia WebFeb 14 2015, 7:08 PM

I agree with yuvipanda. I think it is good to leave it 'open' as a symbol or meme or monument. People link to it more for the title ("Documentation is out of date, incomplete") than anything else. It's an iconic reminder. It's a forever unreachable goal, like the WMF Vision statement, that we are nevertheless always working towards.

It's a moment of levity, in an otherwise Serious Business world. It's a friendly/informal way of reminding each other, "dude, your documentation sucks" - instead we can say "oh, you might want to work on bug#(200)1 a little bit :) ". It's the best kind of 'inside joke', because newcomers can quickly figure out what is meant.

Practically/pragmatically speaking, I think it should be retired as an active *tracker* of any kind (to avoid confusion, and to avoid yuvi spending time writing a bot). [edit to highlight] But it's the one task that was never intended to be 'closed'.

to misquote: "there are three hard things in computer science: cache invalidation, naming things, up-to-date documentation, and off-by-one errors."

Legoktm edited the task description. (Show Details)Via WebFeb 14 2015, 7:12 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.Via WebFeb 20 2015, 9:01 AM
Dzahn added a subscriber: Dzahn.Via WebMar 20 2015, 10:04 PM

there used to be the string "Reference to bz1" in this page until last week. i know because our watchmouse monitoring checks for that and is now not working anymore (T93443).

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.